version: '3.7'
services:
  eureka:
    image: 172.18.101.172/gdtel-gztel-school-center/eureka:0.0.1
    container_name: eureka
    ports:
      - "20000:20000"
    deploy:
      resources:
        limits:
          memory: 400M
        reservations:
          memory: 100M
  gateway:
    image: 172.18.101.172/gdtel-gztel-school-center/gateway:0.0.1
    container_name: gateway
    ports:
      - "10001:10001"
    depends_on:
      - eureka
    deploy:
      resources:
        limits:
          memory: 500M
        reservations:
          memory: 100M
  gdtelgztelschoolcentercore:
    image: 172.18.101.172/gdtel-gztel-school-center/gdtelgztelschoolcentercore:0.0.1
    container_name: gdtelgztelschoolcentercore
    ports:
      - "10002:10002"
    depends_on:
      - eureka
    deploy:
      resources:
        limits:
          memory: 800M
        reservations:
          memory: 100M
  gdtelgztelschoolcentermanager:
    image: 172.18.101.172/gdtel-gztel-school-center/gdtelgztelschoolcentermanager:0.0.1
    container_name: gdtelgztelschoolcentermanager
    ports:
      - "11091:11091"
    volumes:
      - "./enclosure:/enclosure"
    depends_on:
      - eureka
      - gdtelgztelschoolcentercore
    deploy:
      resources:
        limits:
          memory: 500M
        reservations:
          memory: 100M
  gdtelgztelschoolcentertask:
    image: 172.18.101.172/gdtel-gztel-school-center/gdtelgztelschoolcentertask:0.0.1
    container_name: gdtelgztelschoolcentertask
    ports:
      - "11191:11191"
    depends_on:
      - eureka
      - gdtelgztelschoolcentercore
    deploy:
      resources:
        limits:
          memory: 500M
        reservations:
          memory: 100M
  gdtelgztelschoolcenterapplynet:
    image: 172.18.101.172/gdtel-gztel-school-center/gdtelgztelschoolcenterapplynet:0.0.1
    container_name: gdtelgztelschoolcenterapplynet
    ports:
      - "11092:11092"
    depends_on:
      - eureka
      - gdtelgztelschoolcentercore
    deploy:
      resources:
        limits:
          memory: 500M
        reservations:
          memory: 100M
  gdtelgztelschoolcenternewuser:
    image: 172.18.101.172/gdtel-gztel-school-center/gdtelgztelschoolcenternewuser:0.0.1
    container_name: gdtelgztelschoolcenternewuser
    ports:
      - "11093:11093"
    depends_on:
      - eureka
      - gdtelgztelschoolcentercore
    deploy:
      resources:
        limits:
          memory: 500M
        reservations:
          memory: 100M
  gdtelgztelschoolcenterolduser:
    image: 172.18.101.172/gdtel-gztel-school-center/gdtelgztelschoolcenterolduser:0.0.1
    container_name: gdtelgztelschoolcenterolduser
    ports:
      - "11094:11094"
    depends_on:
      - eureka
      - gdtelgztelschoolcentercore
    deploy:
      resources:
        limits:
          memory: 500M
        reservations:
          memory: 100M
  gdtelgztelschoolcenterui:
    image: 172.18.101.172/gdtel-gztel-school-center/gdtelgztelschoolcenterui:0.0.1
    container_name: gdtelgztelschoolcenterui
    ports:
      - "11090:11090"
    depends_on:
      - eureka
      - gateway
      - gdtelgztelschoolcentercore
    deploy:
      resources:
        limits:
          memory: 100M
        reservations:
          memory: 100M
  gdtelgztelschoolcentermobileui:
    image: 172.18.101.172/gdtel-gztel-school-center/gdtelgztelschoolcentermobileui:0.0.1
    container_name: gdtelgztelschoolcentermobileui
    ports:
      - "11089:11089"
    depends_on:
      - eureka
      - gdtelgztelschoolcentercore
    deploy:
      resources:
        limits:
          memory: 100M
        reservations:
          memory: 100M